<?php
session_start();
require_once ("../../config/Cado.php");
?>
	
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Nota de credito
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Operaciónes</li>
				<li class="breadcrumb-item active">Nota de credito</li>
            </ol>
          </div>
		</div>
	</div>
</div>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;">
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="notacredito_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" onClick="notacredito_vista()" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>


	<!-- busqueda de registro -->
	<div id="div_notacredito_filtro"></div>
	 
	<!-- LISTADO DE REGISTROS -->
	<div id="div_notacredito_tabla" ></div>
			
			

			
			
			<div class="modal fade" id="div_notacredito_form_dialog_vista" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-lg" role="document" >

			<div class="modal-content">

			<div class="modal-body div_notacredito_form_vista" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			
				<!-- formulario de registro -->
			<div class="modal fade" id="div_servicioval_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-lg" style=""   role="document" >

			<div class="modal-content">

			<div class="modal-body div_servicioval_form" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>   
			
			<!--MODAL PARA CORREO ELECTRONICOS-->
				
			<div class="modal fade" id="div_notacredito_correo_form" role="dialog" data-keyboard="false" data-backdrop="static" style="padding:0px; overflow-y:scroll ">
			<div class="modal-dialog modal-lg"  >

			<div class="modal-content">

			<div class="modal-body div_notacredito_correo_conten" style="padding:0px;"   >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>

<script type="text/javascript">



function actualizarestado(ncid,vis)
	{
		$('#div_servicioval_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../servicio/servicio_formvaldoc.php",
			async:true,
			dataType: "html",                      
			data: ({
				modide:	ncid,
				vista:	vis
			}),
			beforeSend: function(){			
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_servicioval_form').html(div);
			},
			success: function(html){
				$('.div_servicioval_form').html(html);				
			}
		});
	}
	
	function notacredito_filtro()
	{
		$.ajax({
			type: "POST",
			url: "../notacredito/notacredito_filtro.php",
			async:true,
			dataType: "html",                      
			data: ({
				
			}),
			beforeSend: function() {
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				
				$('#div_notacredito_filtro').html(div);
			},
			success: function(html){
				$('#div_notacredito_filtro').html(html);
			},
			complete: function(){
				
			}
		});
	}
	
	function notacredito_tabla()
	{
		$.ajax({
			type: "POST",
			url: '../notacredito/notacredito_tabla.php',
			async:true,
			dataType: "html",                      
			data: $("#for_fil_notcre").serialize(),
			beforeSend: function(){
				
				$('#div_notacredito_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_notacredito_tabla').html(html);
			},
			complete: function(){			
				$('#div_notacredito_tabla').removeClass("ui-state-disabled");
			
			}
		});     
	}
	
	
	
	function notacredito_form(act){		
		$('#div_notacredito_form_dialog_vista').modal();
		$.ajax({
			type: "POST",
			url: "../notacredito/notacredito_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act
			}),
			beforeSend: function() {
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_notacredito_form_vista').html(div); 
			},
			success: function(html){
				$('.div_notacredito_form_vista').html(html);	
			},
			complete: function(){
			}
		});
	}
	
	
	function notacredito_anular(id,texto){      
		/* if(confirm("Realmente desea anular notacredito "+texto+", se actualizará el stock. ASEGURESE QUE LAS CANTIDADES DE PRODUCTO SE PUEDAN REPONER CORRECTAMENTE.  Continuar?")){ */
			$.ajax({
				type: "POST",
				url: "../notacredito/notacredito_anular.php",
				async:true,
				dataType: "json",
				data: ({
					action: "anular",
					ven_id:	id
				}),
				beforeSend: function() {					
				},
				success: function(data){
					if(data.act!='correcto')
					{
						notacredito_anular(id);
					}
					toastr["error"](data.msj);	
				},
				complete: function(){
					notacredito_tabla();
				}
			});
	}
	
	
	
	///ENVIAR A SUNAT LA NOTA DE CREDITO


function notacredito_ticket_datos(notcreid,venid,est){
		
		$.ajax({
			type: "POST",
			url: "../notacredito/notacredito_ticket_datos.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			venid: venid,
			notcreid: notcreid
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				console.log(data);
				if(est==1){
					notacredito_doc_impresion(data,data.imp_doc);
					//generarPDF417(data);
					
				}else{
				if(data!=""){					
					 generarNotacredito_xml(data,data.url_gennotcre,data.emp_ruc,data.notcre_numdoc,venid,notcreid,data.cli_id);	
				}else{
					
				}
				}
			}
		});
}

function generarNotacredito_xml(data,url,emp_ruc,numdoc,venid,notcreid,cliid){
	$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: data,
		beforeSend: function()
		{
			
		},
		success: function(data){
				
		firmar(data.url,data.arc,emp_ruc,numdoc,data.tipcom,venid,notcreid,cliid);
		
		}
	});
}

// function crear_xml(xml,emp_ruc,ven_numdoc,tip_com,venid,notcreid){
		// /* alert(url); */
		// $.ajax({
		// type: "post",
		// url: '../../docgeneracion/crearxml.php',
		// async:true,
		// datatype: "json",                      
		// data: ({
			// xml : xml,
			// emp_ruc : emp_ruc,
			// ven_numdoc : ven_numdoc,
			// tip_com : tip_com,
		// }),
		// beforesend: function()
		// {
			
		// },
		// success: function(data){
		
			// firmar(data.url,data.arc,emp_ruc,ven_numdoc,data.tipcom,venid,notcreid);
				
		// }
	// });

// }
	
	
	
function firmar(url,arc,emp_ruc,ven_numdoc,tipcom,venid,notcreid,cliid){
		/* alert(url); */
		$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: ({
			arc : arc,
			emp_ruc : emp_ruc,
			ven_numdoc:ven_numdoc,
			tipcom:tipcom,
			venid:notcreid
		}),
		beforeSend: function()
		{
			
		},
		success: function(data){	
				
				traer_datos_doc(venid,notcreid,data.fil_name_xml);
				//generar_pdf_notcredito(notcreid);
				//enviarSunat(data.fil_name_zip,data.fil_name,data.fil_name_fac,tipcom,venid,notcreid,data.fil_name_xml);
				enviarSunat(data.xml_nom,data.fil_name_zip,data.fil_name_xml,data.filenom,venid,notcreid,tipcom,cliid,emp_ruc);
				
		}
	});

}


function enviarSunat(nomxml,fil_name_zip,fil_name_xml,filenom,venid,notcreid,tipcom,cliid,emp_ruc){
		$.ajax({
		type: "POST",
		url: '../../docgeneracion/enviosunat.php',
		async:true,
		dataType: "json",                      
		data: ({
			nomxml:nomxml,
			name_zip:fil_name_zip,
			nomfile:filenom,
			id_ven : notcreid,
			xmlarchivo:fil_name_xml,
			tipcom:tipcom,
			emp_ruc:emp_ruc
		}),
		beforeSend: function()
		{
			toastr["error"]('Esperando respuesta de sunat');
		},
		success: function(data){
			
			if(data.est==1){
				//actualizarNotacredito(notcreid,fil_name_xml);
				
				//notacredito_anular(venid);
				//enviarCorreo(notcreid,cliid);
				
				notacredito_tabla();
			}else{
				toastr["error"]('La nota de credito no ha sido aceptada.');
			}
			
			toastr["error"](data.msj);
				
		}
	});

}



function enviarCorreo(notcreid,cliid){
	
	$('#div_notacredito_correo_form').modal();
				
	$.ajax({
			type: "POST",
			url: "../notacredito/notacredito_correo_form.php",
			async:true,
			dataType: "html",
			data: ({
				notcre_id:notcreid,
				cli_id:cliid	
			}),
			beforeSend: function() {
				
		var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_notacredito_correo_conten').html(div);
	        },
			success: function(html){
				$('.div_notacredito_correo_conten').html(html);				
			}
		});
	
}


function generar_pdf_notcredito(notcreid){	
		$.ajax({
			type: "GET",
			url: "../notacredito/notacredito_generar_doc.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			notid: notcreid
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				
				}
		});
	
	}	


function traer_datos_doc(venid,notcreid,urlxml){
	
	$.ajax({
			type: "POST",
			url: "../notacredito/notacredito_doc_datos.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			venid: venid,
			notcreid: notcreid,
			urlxml :urlxml
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				/* console.log(data); */
			notacredito_doc_impresion(data,data.imp_doc);
			
/* cadsunat = data.emp_ruc+'|'+data.tipcom+'|'+data.ven_serdoc+'|'+data.ven_corrdoc+'|'+data.ven_igv+'|'+data.ven_tot+'|'+data.ven_fec
+'|'+data.tipdoc+'|'+data.cli_numdoc+'|'+data.DigVal+'|'+data.SigVal; */

			/* generarPDF417(data); */

		/* 	if(data.cli_ema==""){
				
			}else{
				act ="enviar";
				enviarCorreo(data);
			}	 */	
			
			//generarPDF417(data);
			
			}
		});
	
}


function generarPDF417(data){
	
	console.log(data);
	
	$.ajax({
			type: "POST",
			url: "../notacredito/generarPdf417.php",
			async:true,
			dataType: "json",                      
			data:data,
			beforeSend: function() {
				
			},
			success: function(data){			

			}
		});	 
		
}



function notacredito_doc_impresion(data,url){
	
	$.ajax({
			type: "POST",
			url: url,
			async:true,
			dataType: "json",                      
			data: data ,
			beforeSend: function() {
				console.log(data);
			},
			success: function(data){
				
				
			}
		});
	
}




	
	function notacredito_vista(){
		$("#contenido").load("../notacredito/notacredito_vista.php");		
	}
	
	
$(function() {

	notacredito_filtro();		
	
	$("#div_notacredito_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
    });
	


	setTitle("NOTA DE CREDITO - "+nombreEmpresa);	
	
}); 	
	
	

</script>
